Bug 24358 - "Bibliographic record does not exist!" is not translatable
Summary: "Bibliographic record does not exist!" is not translatable
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 21232
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-06 22:08 UTC by Jonathan Druart
Modified: 2020-01-14 21:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 24358: (bug 21232) Make the alert string translatable (2.58 KB, patch)
2020-01-06 22:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24358: (bug 21232) Make the alert string translatable (2.63 KB, patch)
2020-01-06 23:25 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24358: (bug 21232) Make the alert string translatable (2.73 KB, patch)
2020-01-10 11:01 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-01-06 22:08:33 UTC
It's in a .js
Comment 1 Jonathan Druart 2020-01-06 22:12:33 UTC
Created attachment 96866 [details] [review]
Bug 24358: (bug 21232) Make the alert string translatable

"Bibliographic record does not exist!" was not translatable as it was
defined in the .js file

Test plan:
Repeat test plan from bug 21232

Bonus point: update and install a localized version and confirm that the
message is translatable
Comment 2 Lucas Gass 2020-01-06 23:25:42 UTC
Created attachment 96868 [details] [review]
Bug 24358: (bug 21232) Make the alert string translatable

"Bibliographic record does not exist!" was not translatable as it was
defined in the .js file

Test plan:
Repeat test plan from bug 21232

Bonus point: update and install a localized version and confirm that the
message is translatable

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Marcel de Rooy 2020-01-10 11:01:23 UTC
Created attachment 97185 [details] [review]
Bug 24358: (bug 21232) Make the alert string translatable

"Bibliographic record does not exist!" was not translatable as it was
defined in the .js file

Test plan:
Repeat test plan from bug 21232

Bonus point: update and install a localized version and confirm that the
message is translatable

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Martin Renvoize 2020-01-10 16:23:43 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-01-12 18:47:16 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 6 Lucas Gass 2020-01-13 22:13:58 UTC
backported to 19.05.x for 19.05.07
Comment 7 Katrin Fischer 2020-01-14 07:17:22 UTC
(In reply to Lucas Gass from comment #6)
> backported to 19.05.x for 19.05.07

Hi Lucas, there as no note on the dependency bug here for 19.05 - can you check?
Comment 8 Lucas Gass 2020-01-14 15:53:31 UTC
(In reply to Katrin Fischer from comment #7)
> (In reply to Lucas Gass from comment #6)
> > backported to 19.05.x for 19.05.07
> 
> Hi Lucas, there as no note on the dependency bug here for 19.05 - can you
> check?

Kait, sorry I forgot to update the bug. 21232 was backported to 19.05.x for 19.05.07.


Thanks for checking.
Comment 9 Katrin Fischer 2020-01-14 20:57:15 UTC
(In reply to Lucas Gass from comment #8)
> (In reply to Katrin Fischer from comment #7)
> > (In reply to Lucas Gass from comment #6)
> > > backported to 19.05.x for 19.05.07
> > 
> > Hi Lucas, there as no note on the dependency bug here for 19.05 - can you
> > check?
> 
> Kait, sorry I forgot to update the bug. 21232 was backported to 19.05.x for
> 19.05.07.
> 
> 
> Thanks for checking.

Great, thx!
Comment 10 Lucas Gass 2020-01-14 21:00:59 UTC
This bugfix has been reverted in 19.05.x and will NOT appear in that series.


Sorry for the confusion.